Oracle Linux 4 : systemtap (ELSA-2010-0895)

High Nessus Plugin ID 68147


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2010:0895 :

Updated systemtap packages that fix one security issue are now available for Red Hat Enterprise Linux 4.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

SystemTap is an instrumentation system for systems running the Linux kernel, version 2.6. Developers can write scripts to collect data on the operation of the system. staprun, the SystemTap runtime tool, is used for managing SystemTap kernel modules (for example, loading them).

It was discovered that staprun did not properly sanitize the environment before executing the modprobe command to load an additional kernel module. A local, unprivileged user could use this flaw to escalate their privileges. (CVE-2010-4170)

Note: On Red Hat Enterprise Linux 4, an attacker must be a member of the stapusr group to exploit this issue. Also note that, after installing this update, users already in the stapdev group must be added to the stapusr group in order to be able to run the staprun tool.

Red Hat would like to thank Tavis Ormandy for reporting this issue.

SystemTap users should upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected systemtap packages.

See Also

Plugin Details

Severity: High

ID: 68147

File Name: oraclelinux_ELSA-2010-0895.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2016/01/14

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.2

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:systemtap, p-cpe:/a:oracle:linux:systemtap-runtime, p-cpe:/a:oracle:linux:systemtap-testsuite, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/11/17

Reference Information

CVE: CVE-2010-4170

OSVDB: 69489

RHSA: 2010:0895